> ## Documentation Index
> Fetch the complete documentation index at: https://help.sendspark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dynamics Campaign for the DV by steps UI

> Create Dynamics Campaign in folder for the DV by steps UI



## OpenAPI

````yaml /api-reference/openapi.json post /v2/workspaces/{workspaceId}/dynamics
openapi: 3.0.0
info:
  title: Sendspark API
  version: 1.2.0
  description: >-
    Public Sendspark API. DRAFT scaffold generated from the internal API v2 spec
    — endpoint selection and authentication are pending engineering review
    before publishing.
servers:
  - url: https://api-gw.sendspark.com
    description: Production
security:
  - apiKey: []
    apiSecret: []
tags: []
paths:
  /v2/workspaces/{workspaceId}/dynamics:
    post:
      tags:
        - Dynamics Campaign
      summary: Create Dynamics Campaign for the DV by steps UI
      description: Create Dynamics Campaign in folder for the DV by steps UI
      operationId: postDynamicsV2
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Model144'
      responses:
        '200':
          description: Successful
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Model149'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/BadRequest'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Forbidden'
        '404':
          description: Not Found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResourceNotFoundOrInvalidAccess'
        '503':
          description: Service Unavailable
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ServiceUnavailable'
components:
  schemas:
    Model144:
      type: object
      properties:
        name:
          type: string
          example: My Dynamic Campaign
        voiceCloning:
          type: boolean
          example: false
        languageCode:
          type: string
          example: en
        videoUrl:
          type: string
          example: https://ssoven341-d3vz.com/share/9up29v11k16cqtyie1hx74cmhva5yutz
        version:
          type: number
          example: 1
        multivariable:
          type: boolean
          example: false
      required:
        - name
    Model149:
      type: object
      properties:
        name:
          type: string
          example: My Dynamic Campaign
        languageCode:
          type: string
          example: en
        videoProperties:
          $ref: '#/components/schemas/Model147'
        metadata:
          $ref: '#/components/schemas/Model148'
        combinedVideo:
          type: boolean
          example: false
        dynamicBackground:
          type: boolean
          example: false
        status:
          type: string
          example: pending
        creator:
          type: string
          example: okn4ra9qjlpzhs2zpuni426jizysbdcp
        folder:
          type: string
          example: ibdls2hjvaebvg0k4mz0zgvndbai9th7
        workspace:
          type: string
          example: 3vwdfm4jmhfyzt1yqp0r8v3qgaocrczb
        videosAssets:
          $ref: '#/components/schemas/videosAssets'
        id:
          type: string
          example: 63f6a4145a5e755e2e8fe19d
        createdAt:
          type: string
          format: date
          example: '2021-03-01T00:00:00.000Z'
      required:
        - combinedVideo
        - dynamicBackground
        - status
        - creator
        - folder
        - workspace
        - id
        - createdAt
    BadRequest:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        code:
          type: string
          example: S400-AHVE
        error:
          type: string
          example: Bad Request
        message:
          type: string
          example: Invalid request payload input
    Forbidden:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
        code:
          type: string
          example: S403-UPLD
        error:
          type: string
          example: Forbidden
        message:
          type: string
          example: Invalid request payload input / Any error from provider
    ResourceNotFoundOrInvalidAccess:
      type: object
      properties:
        statusCode:
          type: number
          example: 404
        error:
          type: string
          example: Not Found
        message:
          type: string
          example: Resource not found or invalid access
    ServiceUnavailable:
      type: object
      properties:
        statusCode:
          type: number
          example: 503
        error:
          type: string
          example: Service Unavailable
        message:
          type: string
          example: Service Unavailable
    Model147:
      type: object
      properties:
        sharePage:
          $ref: '#/components/schemas/Model146'
    Model148:
      type: object
      properties:
        version:
          type: number
          example: 1
        migrated:
          type: string
          format: date
          example: '2021-03-01T00:00:00.000Z'
    videosAssets:
      type: array
      items:
        type: string
    Model146:
      type: object
      properties:
        title:
          type: string
          example: Hello there!
        message:
          type: string
          example: welcome to my dynamic campaign
        buttons:
          $ref: '#/components/schemas/buttons'
        calendar:
          $ref: '#/components/schemas/Model145'
        layout:
          $ref: '#/components/schemas/layout'
        transcriptionsViewEnabled:
          type: boolean
          example: false
    buttons:
      type: array
      items:
        type: string
    Model145:
      type: object
      properties:
        provider:
          type: string
        link:
          type: string
    layout:
      type: string
      example: layout-default
      enum:
        - layout-default
        - layout-title-above
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
    apiSecret:
      type: apiKey
      in: header
      name: x-api-secret

````